Abstract Approval Processes
Events
/- Get CoAuthor info for Abstracts
Creates a new abstract record that does not already exist.
Execute Batch Operations
Bulk update abstract statuses
Calculations for the reviews for an abstract
Returns a list of records with the specified co_author_id
End user abstract confirmation form submission endpoint
Returns a list of records with the specified event_contact_id
Returns a list of records with the specified event_presenter_id
Sends out a preview of the CRC notification email
Resends the confirmation email for an abstract submission
Returns a list of records with the specified review_process_id
Returns a list of records with the specified review_round_id
Searches for abstracts using predefined parameters
Process a Status Change Request
Submit an abstract
Returns a list of records with the specified submitter_id
Returns a list of records with the specified type_id
Bulk update abstract statuses
Returns a abstract from the system by its ID.
Returns a abstract from the system by its ID.
Partially updates a abstract with the specified ID.
Updates a abstract with the specified ID.
Get CoAuthor info for Abs...
Events (Meetings & Shows) (v1-2025-04-18)
The Meetings & Shows, or Events, API is used to manage all aspects of events from recurring webinars to annual trade shows. From this API you can access Registrants, Speakers, and Abstracts as well as update the details of your events themselves.
Like most of the other Rhythm apps, the Events API includes endpoints for Query Definitions. These endpoints are commonly used to retrieve saved queries, which can then be executed using the Query endpoints of the System API.
Download OpenAPI description
Languages
Servers
Mock server
https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1
https://events.api.rhythmsoftware.com
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/abstracts/{tenantId}/eventPresenter/{eventId}/{contactId}
- https://events.api.rhythmsoftware.com/abstracts/{tenantId}/eventPresenter/{eventId}/{contactId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/abstracts/{tenantId}/eventPresenter/{eventId}/{contactId}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/abstracts/{tenantId}/previewEmail
- https://events.api.rhythmsoftware.com/abstracts/{tenantId}/previewEmail
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/abstracts/{tenantId}/previewEmail' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"abstract_id": "string",
"destination_email_address": "string",
"email_template": {
"bcc": "string",
"body": "string",
"cc": "string",
"from": "string",
"from_name": "string",
"reply_to": "string",
"subject": "string"
},
"registration_id": "string",
"review_id": "string",
"type": "string"
}'